// File: checkpointing.h
// Author: Alessio Gianelle <gianelle@pd.infn.it>
// Copyright (c) 2002 EU DataGrid.
// For license conditions see http://www.eu-datagrid.org/license.html

// $Id: checkpointing.h,v 1.15 2002/12/20 14:43:29 gianelle Exp $

/**
 * \file
 * \brief Provides an API to realize a trivial checkpointing service. 
 * 
 * With "trivial checkpoint" we mean the possibility for the user to 
 * save and to manage a well-defined State object which describes the 
 * job and what it has done until the moment in which the State object 
 * is saved. It is also possible to restart a job from an intermediate 
 * point using a previously saved State.
 * \see http://edms.cern.ch/document/347730/1 
 *
 * \version 0.2
 * \date 18 December 2002
 * \author Alessio Gianelle <gianelle@pd.infn.it>
*/

#ifndef EDG_WORKLOAD_CHECKPOINTING_CHKPT_H
#define EDG_WORKLOAD_CHECKPOINTING_CHKPT_H

#include <edg/workload/checkpointing/client/step.h>
#include <edg/workload/checkpointing/client/stepper.h>
#include <edg/workload/checkpointing/client/jobstate.h>
#include "edg/workload/checkpointing/client/ChkptException.h"

#endif // EDG_WORKLOAD_CHECKPOINTING_CHKPT_H

//  Local Variables:
//  mode: c++
//  End:










